
Redmine - Defect #32891

Bookmark link on project page should not use full path with hostname

2020-01-27 09:56 - Dmitry Makurin 

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.1.1   

Resolution: Fixed Affected version:  

Description

Currently bookmark url creating with default protocol. If rails server setup with secure protocol bookmarks link still creating with http.

Jquery raises error on that kind of links:

jquery-2.2.4-ui-1.11.0-ujs-5.2.3.js?1574665137:24 Mixed Content: The page at 'https://redmine/proj

ects/1' was loaded over HTTPS, but requested an insecure XMLHttpRequest endpoint 'http://redmine/p

rojects/1/bookmark'. This request has been blocked; the content must be served over HTTPS.

 Redmine provides an option to specify protocol in administration panel. It could be used to generate url:

--- app/helpers/projects_helper.rb    (revision 1e830ee09f28f68d9019590e72b3612950724253)

+++ app/helpers/projects_helper.rb    (revision 24843626abc3f32e8fe206689e8d3d728e610a50)

@@ -158,7 +158,7 @@

       method = "post" 

       text = l(:button_project_bookmark)

     end

-    url = bookmark_project_url(project)

+    url = bookmark_project_url(project, :protocol => Setting.protocol)

     link_to text, url, remote: true, method: method, class: css

   end

Associated revisions

Revision 19530 - 2020-02-26 14:37 - Jean-Philippe Lang

Don't use full path links with hostname

Revision 19656 - 2020-04-05 11:44 - Jean-Philippe Lang

Merged r19530 to 4.1-stable (#32891).

History

#1 - 2020-01-27 09:58 - Dmitry Makurin 

I messed up with title a little bit. Bookmark link on project page.

#2 - 2020-02-26 18:03 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 4.1.1

r19530 should fix this issue.

#3 - 2020-02-26 22:18 - Marius BĂLTEANU

- Subject changed from Bookmark link in project jump box to Bookmark link on project page

#4 - 2020-03-09 23:03 - Go MAEDA

- Category set to Projects

#5 - 2020-04-05 11:44 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/19530


- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged.

#6 - 2020-04-05 11:45 - Jean-Philippe Lang

- Subject changed from Bookmark link on project page to Bookmark link on project page should not use full path with hostname
